Index: tests/regression/RandomNumbers/Distribution/testsuite-set-random-number-distribution.at
===================================================================
--- tests/regression/RandomNumbers/Distribution/testsuite-set-random-number-distribution.at	(revision 5200294b51370a326ff7b6b894366ab63dd343f1)
+++ tests/regression/RandomNumbers/Distribution/testsuite-set-random-number-distribution.at	(revision 3d70e30645becb764684201ccfc596c838a74c3a)
@@ -22,5 +22,5 @@
 
 AT_CHECK([../../molecuilder -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;"], 0, [stdout], [stderr])
-AT_CHECK([fgrep "uniform_int" stdout], 0, [ignore], [ignore])
+AT_CHECK([grep "STATUS:.*uniform_int" stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Its parameters are: min=0;max=20;p=-1;t=-1;median=-1;sigma=-1;alpha=-1;mean=-1;a=-1;b=-1;c=-1;lambda=-1;" stdout], 0, [ignore], [ignore])
 
@@ -32,5 +32,5 @@
 
 AT_CHECK([../../molecuilder -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "uniform_smallint" stdout], 0, [ignore], [ignore])
+AT_CHECK([grep "STATUS:.*uniform_smallint" stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Its parameters are: min=0;max=9;p=-1;t=-1;median=-1;sigma=-1;alpha=-1;mean=-1;a=-1;b=-1;c=-1;lambda=-1;" stdout], 0, [ignore], [ignore])
 
@@ -42,6 +42,6 @@
 
 AT_CHECK([../../molecuilder -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep -c "uniform_int" stdout], 0, [stdout], [ignore])
-AT_CHECK([fgrep "3" stdout], 0, [ignore], [ignore])
+AT_CHECK([grep -c "STATUS:.*uniform_int" stdout], 0, [stdout], [ignore])
+AT_CHECK([fgrep "2" stdout], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep -c "Its parameters are: min=0;max=20;p=-1;t=-1;median=-1;sigma=-1;alpha=-1;mean=-1;a=-1;b=-1;c=-1;lambda=-1;" stdout], 0, [stdout], [ignore])
Index: tests/regression/RandomNumbers/Engine/testsuite-set-random-number-engine.at
===================================================================
--- tests/regression/RandomNumbers/Engine/testsuite-set-random-number-engine.at	(revision 5200294b51370a326ff7b6b894366ab63dd343f1)
+++ tests/regression/RandomNumbers/Engine/testsuite-set-random-number-engine.at	(revision 3d70e30645becb764684201ccfc596c838a74c3a)
@@ -22,5 +22,5 @@
 
 AT_CHECK([../../molecuilder -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;"], 0, [stdout], [stderr])
-AT_CHECK([fgrep "lagged_fibonacci607" stdout], 0, [ignore], [ignore])
+AT_CHECK([grep "STATUS:.*lagged_fibonacci607" stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Its parameters are: seed=2;" stdout], 0, [ignore], [ignore])
 
@@ -32,5 +32,5 @@
 
 AT_CHECK([../../molecuilder -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "minstd_rand0" stdout], 0, [ignore], [ignore])
+AT_CHECK([grep "STATUS:.*minstd_rand0" stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Its parameters are: seed=1;" stdout], 0, [ignore], [ignore])
 
@@ -42,6 +42,6 @@
 
 AT_CHECK([../../molecuilder -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep -c "lagged_fibonacci607" stdout], 0, [stdout], [ignore])
-AT_CHECK([fgrep "3" stdout], 0, [stdout], [ignore])
+AT_CHECK([grep -c "STATUS:.*lagged_fibonacci607" stdout], 0, [stdout], [ignore])
+AT_CHECK([fgrep "2" stdout], 0, [stdout], [ignore])
 AT_CHECK([../../molecuilder -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep -c "Its parameters are: seed=2;" stdout], 0, [stdout], [ignore])
